Bug 859555 - (ACL Doc tracker) Documentation does not reflect very recent C++ Broker ACL configuration change
(ACL Doc tracker) Documentation does not reflect very recent C++ Broker ACL c...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide (Show other bugs)
2.2
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Joshua Wulf
Zdenek Kraus
: Tracking
Depends On: 852565 852572 852579 853828 853830
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 16:23 EDT by Chuck Rolke
Modified: 2014-10-19 19:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-13 19:59:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chuck Rolke 2012-09-21 16:23:35 EDT
Description of problem:

Several changes to C++ Broker ACL came late in the release cycle. Organized descriptions of the changes are now available upstream.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Messaging Installation and Configuration Guide section 7.3 Authorization has been rewritten in (DocBook format) Security.xml
Comment 1 Joshua Wulf 2012-10-16 20:45:19 EDT
Do you have an upstream URL that I can take a look at?
Comment 2 Chuck Rolke 2012-10-17 14:36:51 EDT
Please see http://qpid.apache.org/books/0.18/AMQP-Messaging-Broker-CPP-Book/html/chap-Messaging_User_Guide-Security.html#sect-Messaging_User_Guide-Security-Authorization

* Section "1.5.2.5. Specifying ACL Connection Limits" describes connection limits, only it uses the wrong names. The names in the Red Hat doc are correct.

* Various other parts of ACL in the upstream doc do not apply to MRG-2.2 but they will apply to MRG-2.3.
---
In https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_MRG/2/html-single/Messaging_Installation_and_Configuration_Guide/index.html

I completely missed the description of ACL connection limits. On re-reading the guide for this post I found "7.1.3. Configure SASL with ACL" where the ACL command line switches for specifying connection limits are described. This text is what I thought was missing when I created this BZ.

The guide would be improved if the connection limit text was removed from 7.1.3 and added to a new section such as "7.3.7 Specifying ACL Quotas". In MRG-2.2 there are only the connection limit quotas but in MRG-2.3 a queue quota will be added.

-Chuck
Comment 4 Zdenek Kraus 2013-01-22 11:09:24 EST
Since this bug is very general, I transforming it into ACL Documentation tracker. It should also serve to track doc checking for the documentation as whole.
Comment 5 Zdenek Kraus 2013-02-11 07:07:46 EST
I cannot close this tracker, because in the documentation exists a "TODO" section:
8.3.10. Routing Key Wildcard Examples
If time permits in the MRG 2.3 Development cycle, we'll put the Routing Key Wildcard examples from https://bugzilla.redhat.com/show_bug.cgi?id=853828#c5 here. 

This have to be resolved before closing ACL Documentation tracker.

there are two options, postpone adding examples and remove section about adding exmaples, OR if you have time, please add the examples.

-> ASSIGNED
Comment 6 Joshua Wulf 2013-02-11 10:16:30 EST
Cloned to https://bugzilla.redhat.com/show_bug.cgi?id=909982 for 2.4 release cycle.
Comment 7 Zdenek Kraus 2013-02-12 00:42:19 EST
Great, thanks.

-> VERIFIED
Comment 8 Cheryn Tan 2013-03-13 19:59:35 EDT
Docs published on https://access.redhat.com/knowledge/docs/Red_Hat_Enterprise_MRG/

Note You need to log in before you can comment on or make changes to this bug.